aboutsummaryrefslogtreecommitdiff
path: root/tests/parallel.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2004-05-11 18:05:44 +0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2004-05-11 18:05:44 +0000
commitc8d3882cdc8f9e22c58af285c1996265c1af75d5 (patch)
treebca454268647fa6edf6cd349fc92543b9789d188 /tests/parallel.sh
parentaea436503e9126b06cd15acf1f0c6b738ffbc7de (diff)
* True parallel builds. Nix can now run as many build jobs in
parallel as possible (similar to GNU Make's `-j' switch). This is useful on SMP systems, but it is especially useful for doing builds on multiple machines. The idea is that a large derivation is initiated on one master machine, which then distributes sub-derivations to any number of slave machines. This should not happen synchronously or in lock-step, so the master must be capable of dealing with multiple parallel build jobs. We now have the infrastructure to support this. TODO: substitutes are currently broken.
Diffstat (limited to 'tests/parallel.sh')
-rw-r--r--tests/parallel.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/tests/parallel.sh b/tests/parallel.sh
index 7040f7ad9..6a563ef2b 100644
--- a/tests/parallel.sh
+++ b/tests/parallel.sh
@@ -2,19 +2,19 @@ storeExpr=$($TOP/src/nix-instantiate/nix-instantiate parallel.nix)
echo "store expr is $storeExpr"
-for i in $(seq 1 5); do
- echo "WORKER $i"
- $TOP/src/nix-store/nix-store -rvvB "$storeExpr" &
-done
+#for i in $(seq 1 5); do
+# echo "WORKER $i"
+# $TOP/src/nix-store/nix-store -rvvB "$storeExpr" &
+#done
-sleep 5
+#sleep 5
-outPath=$($TOP/src/nix-store/nix-store -qnfvvvvv "$storeExpr")
+outPath=$($TOP/src/nix-store/nix-store -qnfvvvvvvK "$storeExpr")
echo "output path is $outPath"
text=$(cat "$outPath")
-if test "$text" != "aabcade"; then exit 1; fi
+if test "$text" != "abacade"; then exit 1; fi
if test "$(cat $SHARED.cur)" != 0; then exit 1; fi
if test "$(cat $SHARED.max)" != 3; then exit 1; fi